Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class SingleProtectionDomainFactory

    java.lang.Object
      net.sf.jasperreports.engine.util.SingleProtectionDomainFactory

All Implemented Interfaces:
  ProtectionDomainFactory

    public class SingleProtectionDomainFactory

extends java.lang.Object
implements ProtectionDomainFactory

Implementation of `ProtectionDomainFactory` that wraps a single protection domain.

Version:
  $Id: SingleProtectionDomainFactory.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`SingleProtectionDomainFactory(java.security.ProtectionDomain protectionDomain)` Create a factory.

Method Summary
`java.security.ProtectionDomain` | `getProtectionDomain(java.lang.ClassLoader classloader)` Returns the wrapped protection domain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleProtectionDomainFactory

    public SingleProtectionDomainFactory(java.security.ProtectionDomain protectionDomain)

  Create a factory.

  Parameters:
    `protectionDomain` - the protection domain which will be returned for all classloaders

Method Detail

### getProtectionDomain

    public java.security.ProtectionDomain getProtectionDomain(java.lang.ClassLoader classloader)

  Returns the wrapped protection domain.

  Specified by:
    `getProtectionDomain` in interface `ProtectionDomainFactory`
  Parameters:
    `classloader` - the classloader
  Returns:
    the protection domain to be used by the classloader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com